<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="48dp">

        <ImageButton
            android:id="@+id/back_imageButton"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="4dp"
            android:background="@null"
            android:padding="12dp"
            android:src="@mipmap/ic_ab_back" />

        <kr.co.hanwha.hifive.view.FontTextView
            style="@style/font_notosans_b_13sp_grey01"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="Version" />

        <kr.co.hanwha.hifive.view.FontTextView
            android:id="@+id/save_textView"
            style="@style/font_notosans_r_13sp_blue02"
            android:layout_width="70dp"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:gravity="center"
            android:text="Save" />
    </RelativeLayout>

    <ScrollView
        android:id="@+id/scrollView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:fadingEdgeLength="0dp"
        android:overScrollMode="never"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="16dp"
            android:layout_marginRight="16dp"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_vertical"
                android:minHeight="40dp"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_b_13sp_grey01"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="5dp"
                    android:minWidth="100dp"
                    android:text="플랫폼" />

                <Spinner
                    android:id="@+id/platform_spinner"
                    android:layout_width="match_parent"
                    android:layout_height="34dp"
                    android:layout_marginRight="30dp"
                    android:background="@null"
                    android:elevation="0dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_vertical"
                android:minHeight="40dp"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_b_13sp_grey01"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="5dp"
                    android:minWidth="100dp"
                    android:text="버전" />

                <kr.co.hanwha.hifive.view.FontEditText
                    android:id="@+id/version1_editText"
                    style="@style/font_notosans_r_13sp_grey02"
                    android:layout_width="40dp"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:imeOptions="actionDone"
                    android:inputType="numberSigned"
                    android:maxLength="3"
                    android:text="0" />

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_b_13sp_grey01"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="." />

                <kr.co.hanwha.hifive.view.FontEditText
                    android:id="@+id/version2_editText"
                    style="@style/font_notosans_r_13sp_grey02"
                    android:layout_width="40dp"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:imeOptions="actionDone"
                    android:inputType="numberSigned"
                    android:maxLength="3"
                    android:text="0" />

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_b_13sp_grey01"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="." />

                <kr.co.hanwha.hifive.view.FontEditText
                    android:id="@+id/version3_editText"
                    style="@style/font_notosans_r_13sp_grey02"
                    android:layout_width="40dp"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:imeOptions="actionDone"
                    android:inputType="numberSigned"
                    android:maxLength="3"
                    android:text="0" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_vertical"
                android:minHeight="40dp"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_b_13sp_grey01"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="5dp"
                    android:minWidth="100dp"
                    android:text="필수 업데이트" />

                <ImageButton
                    android:id="@+id/forced_imageButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="0"
                    android:background="@null"
                    android:scaleType="fitCenter"
                    android:src="@drawable/button_main_check" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/released_linearLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_vertical"
                android:minHeight="40dp"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_b_13sp_grey01"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="5dp"
                    android:minWidth="100dp"
                    android:text="업데이트 반영일" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/released_textView"
                    style="@style/font_notosans_r_13sp_grey02"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="0"
                    android:text="2018.10.10" />
            </LinearLayout>


            <kr.co.hanwha.hifive.view.FontTextView
                style="@style/font_notosans_b_13sp_grey01"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_vertical"
                android:minHeight="40dp"
                android:text="업데이트 내용" />

            <kr.co.hanwha.hifive.view.FontEditText
                android:id="@+id/update_editText"
                style="@style/font_notosans_r_13sp_grey02"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="업데이트 내용을 입력해주세요."
                android:text="" />

            <kr.co.hanwha.hifive.view.FontTextView
                style="@style/font_notosans_b_13sp_grey01"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_vertical"
                android:minHeight="40dp"
                android:text="다운로드 경로" />

            <kr.co.hanwha.hifive.view.FontEditText
                android:id="@+id/url_editText"
                style="@style/font_notosans_r_13sp_grey02"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="업데이트 내용을 입력해주세요."
                android:text="https://" />

            <kr.co.hanwha.hifive.view.FontTextView
                style="@style/font_notosans_b_13sp_grey01"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center_vertical"
                android:minHeight="40dp"
                android:text="String bundle" />

            <kr.co.hanwha.hifive.view.FontEditText
                android:id="@+id/stringBundle_editText"
                style="@style/font_notosans_r_13sp_grey02"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Option"
                android:text="" />
        </LinearLayout>
    </ScrollView>

</LinearLayout>